D-Bus 1.14.8

Data Fields
DBusAddressEntry Struct Reference
D-Bus secret internal implementation details » Address parsing

Internals of DBusAddressEntry. More...

## Data Fields
DBusString | method
| The address type (unix, tcp, etc.)
DBusList * | keys
| List of keys.
DBusList * | values
| List of values.

## Detailed Description

Internals of DBusAddressEntry.

Definition at line 46 of file dbus-address.c.

## Field Documentation

## ◆ keys

DBusList* DBusAddressEntry::keys

List of keys.

Definition at line 50 of file dbus-address.c.

Referenced by dbus_address_entry_get_value(), and dbus_parse_address().

## ◆ method

DBusString DBusAddressEntry::method

The address type (unix, tcp, etc.)

Definition at line 48 of file dbus-address.c.

Referenced by dbus_address_entry_get_method(), and dbus_parse_address().

## ◆ values

DBusList* DBusAddressEntry::values

List of values.

Definition at line 51 of file dbus-address.c.

Referenced by dbus_address_entry_get_value(), and dbus_parse_address().

The documentation for this struct was generated from the following file:

- dbus-address.c